petsc-3.13.6 2020-09-29
Report Typos and Errors

# ISInfo

Info that may either be computed or set as known for an index set

### Synopsis

    #include "petscis.h"
    typedef enum {IS_INFO_MIN = -1,
                  IS_SORTED = 0,
                  IS_UNIQUE = 1,
                  IS_PERMUTATION = 2,
                  IS_INTERVAL = 3,
                  IS_IDENTITY = 4,
                  IS_INFO_MAX = 5} ISInfo;

Any additions/changes here MUST also be made in include/petsc/finclude/petscis.h Any additions/changes here must also be made in src/vec/vec/interface/dlregisvec.c in ISInfos[]

### Developer Notes

Entries that are negative need not be called collectively by all processes.

### See Also

ISSetInfo()

### Level

beginner

### Location

src/vec/is/is/../../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages